summaryrefslogtreecommitdiffstats
path: root/test/name-test/run-test.sh
diff options
context:
space:
mode:
authorJohn (J5) Palmieri <johnp@redhat.com>2006-03-02 22:24:28 +0000
committerJohn (J5) Palmieri <johnp@redhat.com>2006-03-02 22:24:28 +0000
commitda4182fb2976608bea64d676677681fdf2cd910b (patch)
tree0327d6778eb9743b8b11d13227ed2cc4f0e96430 /test/name-test/run-test.sh
parente6eea749eea428a33957b7129f920b9ae47090da (diff)
2006-03-02 John (J5) Palmieri <johnp@redhat.com>
* dbus/dbus-connection.c: (_dbus_connection_block_pending_call): Check to see if our data has already been read off the connection by another blocking pending call before we block in poll. (check_for_reply_and_update_dispatch_unlocked): Code taken from _dbus_connection_block_pending_call - checks for an already read reply and updates the dispatch if there is one. * test/name-test/test-pending-call-dispatch.c: New test for making sure we don't get stuck polling a dbus connection which has no data on the socket when blocking out of order on two or more pending calls.
Diffstat (limited to 'test/name-test/run-test.sh')
-rwxr-xr-xtest/name-test/run-test.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index 5171b18c..706d5950 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -28,3 +28,6 @@ if test -z "$DBUS_TEST_NAME_IN_RUN_TEST"; then
fi
echo "running test-names"
libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-names || die "test-client failed"
+
+echo "running test-pending-call-dispatch"
+libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-client failed"